package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtChartFile;
import com.ruoyi.interfaces.domain.PtChartFileCriteria;

import java.util.List;

public interface PtChartFileMapper {

    PtChartFile selectByCode(String code);

    int deleteByPrimaryKey(String fileId);

    int insert(PtChartFile record);

   // int insertSelective(PtChartFile record);

   // List<PtChartFile> selectByExampleWithRowbounds(PtChartFileCriteria example, RowBounds rowBounds);

    List<PtChartFile> selectByExample(PtChartFileCriteria example);

    PtChartFile selectByPrimaryKey(String fileId);

    int updateByPrimaryKeySelective(PtChartFile record);

   // int updateByPrimaryKey(PtChartFile record);

    int deleteByCode(String code);
}
